Bug 1274 - man: describe vzctl exit codes
man: describe vzctl exit codes
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
unspecified
Other Other
: P2 normal
Assigned To: Dennis Schridde
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 10:41 EDT by Kir Kolyshkin
Modified: 2015-04-01 14:45 EDT (History)
2 users (show)

See Also:


Attachments
Ruby script to create EXIT STATUS section (1.73 KB, application/x-ruby)
2009-05-26 17:14 EDT, Dennis Schridde
Details
new manpage (26.91 KB, text/plain)
2009-05-26 17:16 EDT, Dennis Schridde
Details
Patch against manpage of 3.0.23 (3.10 KB, patch)
2009-05-26 17:16 EDT, Dennis Schridde
Details | Diff
Ruby script to create EXIT STATUS section - fixed (1.75 KB, application/x-ruby)
2009-05-26 17:22 EDT, Dennis Schridde
Details
new manpage - fixed (27.46 KB, text/plain)
2009-05-26 17:23 EDT, Dennis Schridde
Details
Patch against manpage of 3.0.23 - fixed (3.65 KB, patch)
2009-05-26 17:23 EDT, Dennis Schridde
Details | Diff
Ruby script to create EXIT STATUS section - v3 (1.83 KB, application/x-ruby)
2009-05-26 17:30 EDT, Dennis Schridde
Details
Ruby script to update EXIT STATUS section - v4 (2.80 KB, application/x-ruby)
2009-05-27 02:55 EDT, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kir Kolyshkin 2009-05-26 10:41:07 EDT
vzctl has about 50 different exit codes; those should be described in vzctl(8) man page.
Comment 1 Dennis Schridde 2009-05-26 17:14:54 EDT
Created attachment 984 [details]
Ruby script to create EXIT STATUS section

I used attached script to create the EXIT STATUS section of the new manpage.
Works well and should be quite robust (I tried not to be stricter on the input format than seemed necessary).

"private area with this id already exists":
I propose swapping "already" and "exists" for what I think is better grammar.
Comment 2 Dennis Schridde 2009-05-26 17:16:25 EDT
Created attachment 985 [details]
new manpage
Comment 3 Dennis Schridde 2009-05-26 17:16:58 EDT
Created attachment 986 [details]
Patch against manpage of 3.0.23
Comment 4 Dennis Schridde 2009-05-26 17:22:35 EDT
Created attachment 987 [details]
Ruby script to create EXIT STATUS section - fixed

When renaming a variable, one should rename it everywhere...
Comment 5 Dennis Schridde 2009-05-26 17:23:00 EDT
Created attachment 988 [details]
new manpage - fixed
Comment 6 Dennis Schridde 2009-05-26 17:23:27 EDT
Created attachment 989 [details]
Patch against manpage of 3.0.23 - fixed
Comment 7 Dennis Schridde 2009-05-26 17:30:52 EDT
Created attachment 990 [details]
Ruby script to create EXIT STATUS section - v3

Maybe it should be said that the script expects vzerror.h on stdin and dumps the manpage formatted text to stdout.
Comment 8 Dennis Schridde 2009-05-27 02:55:47 EDT
Created attachment 991 [details]
Ruby script to update EXIT STATUS section - v4

Enhanced the script. It now takes the vzctl.8 manpage as input and updates the EXIT STATUS section using ../include/vzerror.h.

Note that your current manpage has no EXIT STATUS, but a DIAGNOSTICS section. Unix seems to suggest to name it EXIT STATUS, so that is how I renamed it.
Comment 9 Kir Kolyshkin 2009-05-27 13:59:37 EDT
I should read my email more often...to do less work...

Sorry I have already digged through and documented it and committed it. Here's the patch:
http://git.openvz.org/?p=vzctl;a=commit;h=1b3acf644039a5b31bc099e56e3b05b85367fea0

Feel free to further improve it. Again, sorry that your work is lost...
Comment 10 Dennis Schridde 2009-05-27 14:43:49 EDT
Maybe you can use the descriptions to increase the information in the header file, and then use the script in case of further updates.
Would mean that at least the work is not lost...
Comment 11 Sergey Bronnikov 2015-04-01 14:45:33 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.